<?php if ( !defined( 'ABSPATH' ) ) exit;
/*

	Post format: Standard

*/
?>


	<div class="st-format-standard-holder"><?php

		/*--- Title -----------------------------*/

		if ( !is_single() && !empty($st_['t']) != 't4' && !empty($st_['title_disabled']) != 1 ) { ?>
			<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3><?php }
	
		
		/*===============================================
		
			F E A T U R E D   I M A G E
			With different sizes dipends of many reasons
		
		===============================================*/

			if ( has_post_thumbnail() ) {

				/*-------------------------------------------
					on Post page:
					- sidebar(+), modal window(+)
					- sidebar(+), modal window(-)
					- sidebar(-), modal window(+)
					- sidebar(-), modal window(-)
				-------------------------------------------*/
		
				if ( is_single() ) {

					// none

				}
			
				/*-------------------------------------------
					on Arhive page:
					- blog page, sidebar(+)
					- blog page, sidebar(-)
					- archive
				-------------------------------------------*/
			
				else {

					// if blog
					if ( !empty( $st_['is_blog'] ) ) {

						// t12
						if ( !empty( $st_['t'] ) && $st_['t'] == 't12' ) {

							// With sidebar
							if ( $content_width == $st_Options['global']['images']['st-archive-image']['width'] ) {

								if ( file_exists( get_stylesheet_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ) ) {
									include( get_stylesheet_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ); }
							
								else {
									include( get_template_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ); }

							}

							// Without sidebar
							if ( $content_width == $st_Options['global']['images']['st-large']['width'] ) {

								if ( file_exists( get_stylesheet_directory() . '/includes/posts/featured-images/st-large-t12.php' ) ) {
									include( get_stylesheet_directory() . '/includes/posts/featured-images/st-large-t12.php' ); }
							
								else {
									include( get_template_directory() . '/includes/posts/featured-images/st-large-t12.php' ); }

							}

						}

						else {

							//echo '<a href="' . esc_url( get_permalink( $post->ID ) ) . '">' . get_the_post_thumbnail( $post->ID, 'st-large', ( function_exists( 'st_get_2x' ) && !empty( $st_Settings['hidpi'] ) != 'no' ? st_get_2x( $post->ID, 'st-large', 'array', 'size-original featured-image' ) : array( 'class' => 'size-original featured-image' ) ) ) . '</a>';
							echo '<a href="' . esc_url( get_permalink( $post->ID ) ) . '">' . get_the_post_thumbnail( $post->ID, 'st-large', array( 'class' => 'size-original featured-image' ) ) . '</a>';

						}
			
					}
			
					// if archive
					else {

						// t12
						if ( !empty( $st_['t'] ) && $st_['t'] == 't12' ) {

							// With sidebar
							if ( $content_width == $st_Options['global']['images']['st-archive-image']['width'] ) {

								if ( file_exists( get_stylesheet_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ) ) {
									include( get_stylesheet_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ); }
							
								else {
									include( get_template_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ); }

							}

							// Without sidebar
							if ( $content_width == $st_Options['global']['images']['st-large']['width'] ) {

								if ( file_exists( get_stylesheet_directory() . '/includes/posts/featured-images/st-large-t12.php' ) ) {
									include( get_stylesheet_directory() . '/includes/posts/featured-images/st-large-t12.php' ); }
							
								else {
									include( get_template_directory() . '/includes/posts/featured-images/st-large-t12.php' ); }

							}

						}

						else {

							//echo '<a href="' . esc_url( get_permalink( $post->ID ) ) . '">' . get_the_post_thumbnail( $post->ID, 'st-archive-image', ( function_exists( 'st_get_2x' ) && !empty( $st_Settings['hidpi'] ) != 'no' ? st_get_2x( $post->ID, 'st-archive-image', 'array', 'size-original featured-image' ) : array( 'class' => 'size-original featured-image' ) ) ) . '</a>';
							echo '<a href="' . esc_url( get_permalink( $post->ID ) ) . '">' . get_the_post_thumbnail( $post->ID, 'st-archive-image', array( 'class' => 'size-original featured-image' ) ) . '</a>';

						}

					}
		
				}
		
			}

		?>
	
	</div>