<?php if ( !defined( 'ABSPATH' ) ) exit;

/*

	1 - RETRIEVE DATA

	2 - POSTS

		2.1 - Loop
		2.2 - Sidebar Secondary
		2.3 - Sidebar Default

*/

/*===============================================

	R E T R I E V E   D A T A
	Get a required page data

===============================================*/

	global
		$st_Settings;

		$st_ = array();

		// Template name
		$st_['t'] = !empty( $st_Settings['blog_template'] ) ? $st_Settings['blog_template'] : 'default';

		// Define content width
		$content_width = $st_Options['global']['images']['st-archive-image']['width'];

			if ( !empty( $st_['sidebar_position'] ) == 'none' ) {
				$content_width = $st_Options['global']['images']['st-large']['width']; }

		$st_['count'] = 0;


/*===============================================

	P O S T S
	Display posts archive

===============================================*/

	get_header();

		?>
		
			<div id="content-holder" class="sidebar-position-right">
		
				<div id="content-box">
		
					<div>

						<div>

							<?php

								/*-------------------------------------------
									2.1 - Loop
								-------------------------------------------*/

								while ( have_posts() ) : the_post();
	
									if ( file_exists( get_stylesheet_directory() . '/includes/posts/default.php' ) ) {
										include( get_stylesheet_directory() . '/includes/posts/default.php' ); }
								
									else {
										include( get_template_directory() . '/includes/posts/default.php' ); }

								endwhile;


								// Pagination
								if ( function_exists('wp_pagenavi') ) {
									?><div id="wp-pagenavibox"><?php wp_pagenavi(); ?></div><?php } 
								else {
									?><div id="but-prev-next"><?php next_posts_link( __( 'Older posts', 'shockmag' ) ); previous_posts_link( __( 'Newer posts', 'shockmag' ) ); ?></div><?php } 

							?>

							<div class="clear"><!-- --></div>

						</div>
			
						<div class="clear"><!-- --></div>

					</div>
				
				</div><!-- #content-box -->

				<?php

					/*-------------------------------------------
						2.3 - Sidebar Default
					-------------------------------------------*/

					get_sidebar();

				?>

				<div class="clear"><!-- --></div>

			</div><!-- #content-holder -->
	
		<?php

	get_footer();

?>