<?php if ( !defined( 'ABSPATH' ) ) exit;
/*

	Post format: Image

*/
?>


	<div class="st-format-image-holder"><?php
	
		/*===============================================
		
			F E A T U R E D   I M A G E
			With different sizes dipends of some reasons
		
		===============================================*/
		
			if ( has_post_thumbnail() ) {
		
				$st_['large_image_url'] = wp_get_attachment_image_src( get_post_thumbnail_id(), 'st-large' );
	
	
				/*-------------------------------------------
					on Post page:
					- sidebar(+)
					- sidebar(-)
				-------------------------------------------*/

				if ( is_single() ) {

					// if sidebar (+)
					if ( !$st_['sidebar_position'] || $st_['sidebar_position'] && $st_['sidebar_position'] != 'none' ) {
						//echo '<a href="' . esc_url( $st_['large_image_url'][0] ) . '" title="' . esc_attr( the_title_attribute( 'echo=0' ) ) . '">' . get_the_post_thumbnail( $post->ID, 'st-archive-image', ( function_exists( 'st_get_2x' ) && !empty( $st_Settings['hidpi'] ) != 'no' ? st_get_2x( $post->ID, 'st-archive-image', 'array', 'size-original' ) : array( 'class' => 'size-original' ) ) ) . '</a>'; }
						echo '<a href="' . esc_url( $st_['large_image_url'][0] ) . '" title="' . esc_attr( the_title_attribute( 'echo=0' ) ) . '">' . get_the_post_thumbnail( $post->ID, 'st-archive-image', array( 'class' => 'size-original' ) ) . '</a>'; }
		
					// if sidebar (-)
					else {
						//echo '<a href="' . esc_url( $st_['large_image_url'][0] ) . '" title="' . esc_attr( the_title_attribute( 'echo=0' ) ) . '">' . get_the_post_thumbnail( $post->ID, 'st-large', ( function_exists( 'st_get_2x' ) && !empty( $st_Settings['hidpi'] ) != 'no' ? st_get_2x( $post->ID, 'st-large', 'array', 'size-original' ) : array( 'class' => 'size-original' ) ) ) . '</a>'; }
						echo '<a href="' . esc_url( $st_['large_image_url'][0] ) . '" title="' . esc_attr( the_title_attribute( 'echo=0' ) ) . '">' . get_the_post_thumbnail( $post->ID, 'st-large', array( 'class' => 'size-original' ) ) . '</a>'; }
			
				}
	
	
				/*-------------------------------------------
					on Arhive page:
					- blog page, sidebar(+)
					- blog page, sidebar(-)
					- archive
				-------------------------------------------*/
			
				else {
			
					// if blog
					if ( !empty( $st_['is_blog'] ) ) {

						// t12
						if ( !empty( $st_['t'] ) && $st_['t'] == 't12' ) {

							// With sidebar
							if ( $content_width == $st_Options['global']['images']['st-archive-image']['width'] ) {

								if ( file_exists( get_stylesheet_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ) ) {
									include( get_stylesheet_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ); }
							
								else {
									include( get_template_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ); }

							}

							// Without sidebar
							if ( $content_width == $st_Options['global']['images']['st-large']['width'] ) {

								if ( file_exists( get_stylesheet_directory() . '/includes/posts/featured-images/st-large-t12.php' ) ) {
									include( get_stylesheet_directory() . '/includes/posts/featured-images/st-large-t12.php' ); }
							
								else {
									include( get_template_directory() . '/includes/posts/featured-images/st-large-t12.php' ); }

							}

						}

						else {

							//echo '<a href="' . esc_url( $st_['large_image_url'][0] ) . '" title="' . esc_attr( the_title_attribute( 'echo=0' ) ) . '">' . get_the_post_thumbnail( $post->ID, ( !$st_['sidebar_position'] || $st_['sidebar_position'] && $st_['sidebar_position'] != 'none' ? 'st-archive-image' : array( 1200, 1200 ) ), ( function_exists( 'st_get_2x' ) && !empty( $st_Settings['hidpi'] ) != 'no' && !empty( $st_Settings['hidpi'] ) != 'no' ? st_get_2x( $post->ID, 'st-archive-image' ) : '' ) ) . '</a>';
							echo '<a href="' . esc_url( $st_['large_image_url'][0] ) . '" title="' . esc_attr( the_title_attribute( 'echo=0' ) ) . '">' . get_the_post_thumbnail( $post->ID, ( !$st_['sidebar_position'] || $st_['sidebar_position'] && $st_['sidebar_position'] != 'none' ? 'st-archive-image' : array( 1200, 1200 ) ), '' ) . '</a>';

						}
			
					}
			
					// if archive
					else {

						// t12
						if ( !empty( $st_['t'] ) && $st_['t'] == 't12' ) {

							// With sidebar
							if ( $content_width == $st_Options['global']['images']['st-archive-image']['width'] ) {

								if ( file_exists( get_stylesheet_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ) ) {
									include( get_stylesheet_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ); }
							
								else {
									include( get_template_directory() . '/includes/posts/featured-images/st-archive-image-t12.php' ); }

							}

							// Without sidebar
							if ( $content_width == $st_Options['global']['images']['st-large']['width'] ) {

								if ( file_exists( get_stylesheet_directory() . '/includes/posts/featured-images/st-large-t12.php' ) ) {
									include( get_stylesheet_directory() . '/includes/posts/featured-images/st-large-t12.php' ); }
							
								else {
									include( get_template_directory() . '/includes/posts/featured-images/st-large-t12.php' ); }

							}

						}

						else {

							//echo '<a href="' . esc_url( $st_['large_image_url'][0] ) . '" title="' . esc_attr( the_title_attribute( 'echo=0' ) ) . '">' . get_the_post_thumbnail( $post->ID, 'st-archive-image', ( function_exists( 'st_get_2x' ) && !empty( $st_Settings['hidpi'] ) != 'no' ? st_get_2x( $post->ID, 'st-archive-image', 'array', 'size-original' ) : array( 'class' => 'size-original' ) ) ) . '</a>';
							echo '<a href="' . esc_url( $st_['large_image_url'][0] ) . '" title="' . esc_attr( the_title_attribute( 'echo=0' ) ) . '">' . get_the_post_thumbnail( $post->ID, 'st-archive-image', array( 'class' => 'size-original' ) ) . '</a>';

						}
		
					}
			
				}
	
	
			}

		?>
	
	</div>